<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class AccountUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'NOM' => ['required', 'max:255', 'string'],
            'cod' => ['required', 'max:255', 'string'],
            'user_id' => ['nullable', 'exists:users,id'],
            'DATENT' => ['nullable', 'date'],
            'ADR' => ['nullable', 'max:255', 'string'],
            'remise' => ['nullable', 'numeric'],
            'max_c' => ['nullable', 'numeric'],
            'sold' => ['nullable', 'numeric'],
            'reg' => ['nullable', 'max:255', 'string'],
            'fis' => ['nullable', 'max:255', 'string'],
            'art' => ['nullable', 'max:255', 'string'],
            'NIS' => ['nullable', 'max:255', 'string'],
            'wilaya' => ['nullable', 'max:255', 'string'],
            'email' => ['nullable', 'email'],
            'fix' => ['nullable', 'max:255', 'string'],
            'fax' => ['nullable', 'max:255', 'string'],
            'AGENT1' => ['nullable', 'max:255', 'string'],
            'PHONE1' => ['nullable', 'max:255', 'string'],
            'AGENT2' => ['nullable', 'max:255', 'string'],
            'AGENT3' => ['nullable', 'max:255', 'string'],
            'AGENT4' => ['nullable', 'max:255', 'string'],
            'AGENT5' => ['nullable', 'max:255', 'string'],
            'PHONE2' => ['nullable', 'max:255', 'string'],
            'PHONE3' => ['nullable', 'max:255', 'string'],
            'PHONE4' => ['nullable', 'max:255', 'string'],
            'PHONE5' => ['nullable', 'max:255', 'string'],
        ];
    }
}
