<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CasheUpdateRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     */
    public function rules(): array
    {
        return [
            'account_id' => ['required', 'exists:accounts,id'],
            'code' => ['required', 'max:255', 'string'],
            'amount' => ['required', 'numeric'],
            'date' => ['required', 'date'],
            'in' => ['required', 'boolean'],
            'description' => ['required', 'max:255', 'string'],
            'tour_id' => ['nullable', 'exists:tours,id'],
            'user_id' => ['required', 'exists:users,id'],
            'done' => ['nullable', 'boolean'],
        ];
    }
}
