<?php

namespace App\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\DB;

class Account extends Model
{
    use HasFactory;
    use Searchable;
    use SoftDeletes;

    protected $fillable = [
        'id',
        'NOM',
        'cod',
        'DATENT',
        'ADR',
        'remise',
        'max_c',
        'sold',
        'reg',
        'fis',
        'art',
        'NIS',
        'wilaya',
        'email',
        'fix',
        'fax',
        'AGENT1',
        'PHONE1',
        'AGENT2',
        'PHONE2',
        'AGENT3',
        'PHONE3',
        'AGENT4',
        'PHONE4',
        'AGENT5',
        'PHONE5',
    ];

    protected $searchableFields = ['*'];
    // protected $appends = [''];
    protected $casts = [
        'DATENT' => 'date',
    ];

    public function purchases()
    {
        return $this->hasMany(Purchase::class);
    }

    public function sales()
    {
        return $this->hasMany(Sale::class);
    }

    public function orders()
    {
        return $this->hasMany(Order::class);
    }

    public function caisses()
    {
        return $this->hasMany(Caisse::class);
    }

    public function achats()
    {
        return $this->hasMany(Achat::class);
    }

    public function cashes()
    {
        return $this->hasMany(Cashe::class);
    }
    // public function getThesoldAttribute()
    // {
    //     // $id = $this->id;
    //     // $vents = Sell::whereHas('order', function ($query) use ($id) {
    //     //     $query->where('account_id', $id);
    //     // })->sum(DB::raw('price * qte'));
    //     // $achats = Buy::whereHas('achat', function ($query) use ($id) {
    //     //     $query->where('account_id', $id);
    //     // })->sum(DB::raw('price * qte'));
    //     // $caisses = Caisse::where('account_id', $id)->sum(DB::raw('mont'));

    //     // return $this->sold + $vents - $achats - $caisses;
    // }
}
