<?php

namespace App\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Buy extends Model
{
    use HasFactory;
    use Searchable;
    use SoftDeletes;

    protected $appends = ['amount'];

    protected $fillable = ['achat_id', 'product_id', 'qte', 'price'];

    protected $searchableFields = ['*'];

    public function achat()
    {
        return $this->belongsTo(Achat::class);
    }

    public function product()
    {
        return $this->belongsTo(Product::class);
    }

    public function getAmountAttribute()
    {
        return $this->price * $this->qte;
    }
}
