<?php

namespace App\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Caisse extends Model
{
    use HasFactory;
    use Searchable;
    use SoftDeletes;

    protected $fillable = [
        'account_id',
        'code_caisse',
        'code_caisse_imp',
        'designation',
        'date_caisse',
        'id_tour',
        'alger_id',
    ];

    protected $searchableFields = ['*'];

    protected $casts = [
        'date_caisse' => 'datetime',
    ];

    public function account()
    {
        return $this->belongsTo(Account::class);
    }

    public function id_tour()
    {
        return $this->belongsTo(Tour::class, 'id_tour');
    }

    public function alger_id()
    {
        return $this->belongsTo(Cashe::class, 'alger_id');
    }
}
