<?php

namespace App\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Support\Facades\DB;

class Cashe extends Model
{
    use HasFactory;
    use Searchable;
    use SoftDeletes;

    protected $searchableFields = ['*'];

    protected $casts = [
        'date' => 'datetime',
        'in' => 'boolean',
        'done' => 'boolean',
    ];

    protected $with = ['user', 'account'];

    protected $fillable = [
        'id',
        'account_id',
        'account',
        'amount',
        'code',
        'date',
        'description',
        'done',
        'in',
        'tour_id',
        'user_id',
        'user',
    ];

    public function account()
    {
        return $this->belongsTo(Account::class);
    }

    public function tour()
    {
        return $this->belongsTo(Tour::class);
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
