<?php

namespace App\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Phone extends Model
{
    use HasFactory;
    use Searchable;
    use SoftDeletes;

    protected $fillable = ['number', 'type', 'phoneable_id', 'phoneable_type'];

    protected $searchableFields = ['*'];

    public function phoneable()
    {
        return $this->morphTo();
    }
}
