<?php

namespace App\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Place extends Model
{
    use HasFactory;
    use Searchable;
    use SoftDeletes;

    protected $fillable = ['commune', 'daira', 'wilaya', 'code_wilaya'];

    protected $searchableFields = ['*'];

    public function deliveries_from()
    {
        return $this->hasMany(Delivery::class, 'from');
    }

    public function deliveries_to()
    {
        return $this->hasMany(Delivery::class, 'to');
    }

    public function tragets_from()
    {
        return $this->hasMany(Traget::class, 'from');
    }

    public function tragets_to()
    {
        return $this->hasMany(Traget::class, 'to');
    }
}
