<?php

namespace App\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Product extends Model
{
    use HasFactory;
    use Searchable;
    use SoftDeletes;
    // protected $appends = ['qty_sold', 'qty_bought', 'qty_rest'];
    protected $fillable = [
        'id',
        'nm_product',
        'code_product',
        'serie_id',
        'n°',
        'barecode',
        'qtu_product',
        'qc',
        'qu',
        'fr_nm_product',
        'price_product',
        'img_product',
    ];

    protected $searchableFields = ['*'];

    public function serie()
    {
        return $this->belongsTo(Serie::class);
    }

    public function saleitems()
    {
        return $this->hasMany(Saleitem::class);
    }

    public function sells()
    {
        return $this->hasMany(Sell::class);
    }
    // public function getQtySoldAttribute()
    // {
    //     return Sell::where('product_id', $this->id)->whereHas('order', function ($q) {
    //         $q->where('orders.account_id', 531);
    //     })->sum('qte');
    // }
    // public function getQtyBoughtAttribute()
    // {
    //     return Buy::where('product_id', $this->id)->whereHas('achat', function ($q) {
    //         $q->where('achats.account_id', 531);
    //     })->sum('qte');
    // }
    // public function getQtyRestAttribute()
    // {
    //     return $this->qty_sold - $this->qty_bought;
    // }

    public function buys()
    {
        return $this->hasMany(Buy::class);
    }
}
