<?php

namespace App\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Saleitem extends Model
{
    use HasFactory;
    use Searchable;
    use SoftDeletes;

    protected $with = ['product'];
    protected $fillable = [
        'id',
        'sale_id',
        'product_id',
        'qty',
        'price',
        'product',
        'description',
    ];

    protected $searchableFields = ['*'];

    public function sale()
    {
        return $this->belongsTo(Sale::class);
    }

    public function product()
    {
        return $this->belongsTo(Product::class);
    }
}
