<?php

namespace App\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Tour extends Model
{
    use HasFactory;
    use Searchable;

    protected $fillable = ['code', 'name', 'date_out', 'date_in', 'user_id'];

    protected $searchableFields = ['*'];

    protected $casts = [
        'date_out' => 'datetime',
        'date_in' => 'datetime',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function caches()
    {
        return $this->hasMany(Cashe::class, 'tour_id');
    }

    public function achats()
    {
        return $this->hasMany(Achat::class, 'id_tour');
    }

    public function caisses()
    {
        return $this->hasMany(Caisse::class, 'id_tour');
    }

    public function orders()
    {
        return $this->hasMany(Order::class, 'id_tour');
    }
}
