<?php

namespace App\Models;

use App\Models\Scopes\Searchable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Traget extends Model
{
    use HasFactory;
    use Searchable;
    use SoftDeletes;

    protected $fillable = ['from', 'to', 'price'];

    protected $searchableFields = ['*'];

    public function from()
    {
        return $this->belongsTo(Place::class, 'from');
    }

    public function to()
    {
        return $this->belongsTo(Place::class, 'to');
    }
}
