<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Achat;
use Illuminate\Auth\Access\HandlesAuthorization;

class AchatPolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the achat can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the achat can view the model.
     */
    public function view(User $user, Achat $model): bool
    {
        return true;
    }

    /**
     * Determine whether the achat can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the achat can update the model.
     */
    public function update(User $user, Achat $model): bool
    {
        return true;
    }

    /**
     * Determine whether the achat can delete the model.
     */
    public function delete(User $user, Achat $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the achat can restore the model.
     */
    public function restore(User $user, Achat $model): bool
    {
        return false;
    }

    /**
     * Determine whether the achat can permanently delete the model.
     */
    public function forceDelete(User $user, Achat $model): bool
    {
        return false;
    }
}
