<?php

namespace App\Policies;

use App\Models\Buy;
use App\Models\User;
use Illuminate\Auth\Access\HandlesAuthorization;

class BuyPolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the buy can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the buy can view the model.
     */
    public function view(User $user, Buy $model): bool
    {
        return true;
    }

    /**
     * Determine whether the buy can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the buy can update the model.
     */
    public function update(User $user, Buy $model): bool
    {
        return true;
    }

    /**
     * Determine whether the buy can delete the model.
     */
    public function delete(User $user, Buy $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the buy can restore the model.
     */
    public function restore(User $user, Buy $model): bool
    {
        return false;
    }

    /**
     * Determine whether the buy can permanently delete the model.
     */
    public function forceDelete(User $user, Buy $model): bool
    {
        return false;
    }
}
