<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Caisse;
use Illuminate\Auth\Access\HandlesAuthorization;

class CaissePolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the caisse can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the caisse can view the model.
     */
    public function view(User $user, Caisse $model): bool
    {
        return true;
    }

    /**
     * Determine whether the caisse can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the caisse can update the model.
     */
    public function update(User $user, Caisse $model): bool
    {
        return true;
    }

    /**
     * Determine whether the caisse can delete the model.
     */
    public function delete(User $user, Caisse $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the caisse can restore the model.
     */
    public function restore(User $user, Caisse $model): bool
    {
        return false;
    }

    /**
     * Determine whether the caisse can permanently delete the model.
     */
    public function forceDelete(User $user, Caisse $model): bool
    {
        return false;
    }
}
