<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Cashe;
use Illuminate\Auth\Access\HandlesAuthorization;

class CashePolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the cashe can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the cashe can view the model.
     */
    public function view(User $user, Cashe $model): bool
    {
        return true;
    }

    /**
     * Determine whether the cashe can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the cashe can update the model.
     */
    public function update(User $user, Cashe $model): bool
    {
        return true;
    }

    /**
     * Determine whether the cashe can delete the model.
     */
    public function delete(User $user, Cashe $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the cashe can restore the model.
     */
    public function restore(User $user, Cashe $model): bool
    {
        return false;
    }

    /**
     * Determine whether the cashe can permanently delete the model.
     */
    public function forceDelete(User $user, Cashe $model): bool
    {
        return false;
    }
}
