<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Phone;
use Illuminate\Auth\Access\HandlesAuthorization;

class PhonePolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the phone can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the phone can view the model.
     */
    public function view(User $user, Phone $model): bool
    {
        return true;
    }

    /**
     * Determine whether the phone can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the phone can update the model.
     */
    public function update(User $user, Phone $model): bool
    {
        return true;
    }

    /**
     * Determine whether the phone can delete the model.
     */
    public function delete(User $user, Phone $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the phone can restore the model.
     */
    public function restore(User $user, Phone $model): bool
    {
        return false;
    }

    /**
     * Determine whether the phone can permanently delete the model.
     */
    public function forceDelete(User $user, Phone $model): bool
    {
        return false;
    }
}
