<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Place;
use Illuminate\Auth\Access\HandlesAuthorization;

class PlacePolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the place can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the place can view the model.
     */
    public function view(User $user, Place $model): bool
    {
        return true;
    }

    /**
     * Determine whether the place can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the place can update the model.
     */
    public function update(User $user, Place $model): bool
    {
        return true;
    }

    /**
     * Determine whether the place can delete the model.
     */
    public function delete(User $user, Place $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the place can restore the model.
     */
    public function restore(User $user, Place $model): bool
    {
        return false;
    }

    /**
     * Determine whether the place can permanently delete the model.
     */
    public function forceDelete(User $user, Place $model): bool
    {
        return false;
    }
}
