<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Purchaseitem;
use Illuminate\Auth\Access\HandlesAuthorization;

class PurchaseitemPolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the purchaseitem can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the purchaseitem can view the model.
     */
    public function view(User $user, Purchaseitem $model): bool
    {
        return true;
    }

    /**
     * Determine whether the purchaseitem can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the purchaseitem can update the model.
     */
    public function update(User $user, Purchaseitem $model): bool
    {
        return true;
    }

    /**
     * Determine whether the purchaseitem can delete the model.
     */
    public function delete(User $user, Purchaseitem $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the purchaseitem can restore the model.
     */
    public function restore(User $user, Purchaseitem $model): bool
    {
        return false;
    }

    /**
     * Determine whether the purchaseitem can permanently delete the model.
     */
    public function forceDelete(User $user, Purchaseitem $model): bool
    {
        return false;
    }
}
