<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Saleitem;
use Illuminate\Auth\Access\HandlesAuthorization;

class SaleitemPolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the saleitem can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the saleitem can view the model.
     */
    public function view(User $user, Saleitem $model): bool
    {
        return true;
    }

    /**
     * Determine whether the saleitem can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the saleitem can update the model.
     */
    public function update(User $user, Saleitem $model): bool
    {
        return true;
    }

    /**
     * Determine whether the saleitem can delete the model.
     */
    public function delete(User $user, Saleitem $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the saleitem can restore the model.
     */
    public function restore(User $user, Saleitem $model): bool
    {
        return false;
    }

    /**
     * Determine whether the saleitem can permanently delete the model.
     */
    public function forceDelete(User $user, Saleitem $model): bool
    {
        return false;
    }
}
