<?php

namespace App\Policies;

use App\Models\Sell;
use App\Models\User;
use Illuminate\Auth\Access\HandlesAuthorization;

class SellPolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the sell can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the sell can view the model.
     */
    public function view(User $user, Sell $model): bool
    {
        return true;
    }

    /**
     * Determine whether the sell can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the sell can update the model.
     */
    public function update(User $user, Sell $model): bool
    {
        return true;
    }

    /**
     * Determine whether the sell can delete the model.
     */
    public function delete(User $user, Sell $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the sell can restore the model.
     */
    public function restore(User $user, Sell $model): bool
    {
        return false;
    }

    /**
     * Determine whether the sell can permanently delete the model.
     */
    public function forceDelete(User $user, Sell $model): bool
    {
        return false;
    }
}
