<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Serie;
use Illuminate\Auth\Access\HandlesAuthorization;

class SeriePolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the serie can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the serie can view the model.
     */
    public function view(User $user, Serie $model): bool
    {
        return true;
    }

    /**
     * Determine whether the serie can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the serie can update the model.
     */
    public function update(User $user, Serie $model): bool
    {
        return true;
    }

    /**
     * Determine whether the serie can delete the model.
     */
    public function delete(User $user, Serie $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the serie can restore the model.
     */
    public function restore(User $user, Serie $model): bool
    {
        return false;
    }

    /**
     * Determine whether the serie can permanently delete the model.
     */
    public function forceDelete(User $user, Serie $model): bool
    {
        return false;
    }
}
