<?php

namespace App\Policies;

use App\Models\User;
use App\Models\Traget;
use Illuminate\Auth\Access\HandlesAuthorization;

class TragetPolicy
{
    use HandlesAuthorization;

    /**
     * Determine whether the traget can view any models.
     */
    public function viewAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the traget can view the model.
     */
    public function view(User $user, Traget $model): bool
    {
        return true;
    }

    /**
     * Determine whether the traget can create models.
     */
    public function create(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the traget can update the model.
     */
    public function update(User $user, Traget $model): bool
    {
        return true;
    }

    /**
     * Determine whether the traget can delete the model.
     */
    public function delete(User $user, Traget $model): bool
    {
        return true;
    }

    /**
     * Determine whether the user can delete multiple instances of the model.
     */
    public function deleteAny(User $user): bool
    {
        return true;
    }

    /**
     * Determine whether the traget can restore the model.
     */
    public function restore(User $user, Traget $model): bool
    {
        return false;
    }

    /**
     * Determine whether the traget can permanently delete the model.
     */
    public function forceDelete(User $user, Traget $model): bool
    {
        return false;
    }
}
