<?php

namespace Database\Factories;

use App\Models\Account;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\Factories\Factory;

class AccountFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Account::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'NOM' => $this->faker->name(),
            'cod' => $this->faker->text(255),
            'DATENT' => $this->faker->date(),
            'ADR' => $this->faker->text(255),
            'remise' => $this->faker->randomNumber(1),
            'max_c' => $this->faker->randomNumber(1),
            'sold' => $this->faker->randomNumber(1),
            'reg' => $this->faker->text(255),
            'fis' => $this->faker->text(255),
            'art' => $this->faker->text(255),
            'NIS' => $this->faker->text(255),
            'wilaya' => $this->faker->text(255),
            'email' => $this->faker->email(),
            'fix' => $this->faker->text(255),
            'fax' => $this->faker->text(255),
            'AGENT1' => $this->faker->text(255),
            'PHONE1' => $this->faker->text(255),
            'AGENT2' => $this->faker->text(255),
            'AGENT3' => $this->faker->text(255),
            'AGENT4' => $this->faker->text(255),
            'AGENT5' => $this->faker->text(255),
            'PHONE2' => $this->faker->text(255),
            'PHONE3' => $this->faker->text(255),
            'PHONE4' => $this->faker->text(255),
            'PHONE5' => $this->faker->text(255),
            'user_id' => \App\Models\User::factory(),
        ];
    }
}
