<?php

namespace Database\Factories;

use App\Models\Achat;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\Factories\Factory;

class AchatFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Achat::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'code_achat' => $this->faker->text(255),
            'code_imp' => $this->faker->text(255),
            'dt_achat' => $this->faker->dateTime(),
            'tot' => $this->faker->randomNumber(1),
            'rem_achat' => $this->faker->randomNumber(1),
            'nb_colis' => $this->faker->randomNumber(0),
            'phases' => $this->faker->randomNumber(0),
            'status_achat' => $this->faker->text(255),
            'preparation_par' => $this->faker->text(255),
            'enroute_par' => $this->faker->text(255),
            'conf_par' => $this->faker->text(255),
            'dt_conf' => $this->faker->dateTime(),
            'conf_user' => \App\Models\User::factory(),
            'user_achat' => \App\Models\User::factory(),
            'id_tour' => \App\Models\Tour::factory(),
            'alger_id' => \App\Models\Purchase::factory(),
        ];
    }
}
