<?php

namespace Database\Factories;

use App\Models\Address;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\Factories\Factory;

class AddressFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Address::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'address' => $this->faker->address(),
            'addressable_type' => $this->faker->randomElement([
                \App\Models\Contact::class,
                \App\Models\Account::class,
            ]),
            'addressable_id' => function (array $item) {
                return app($item['addressable_type'])->factory();
            },
        ];
    }
}
