<?php

namespace Database\Factories;

use App\Models\Buy;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\Factories\Factory;

class BuyFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Buy::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'qty' => $this->faker->randomNumber(0),
            'price' => $this->faker->randomFloat(2, 0, 9999),
            'achat_id' => \App\Models\Achat::factory(),
            'product_id' => \App\Models\Product::factory(),
        ];
    }
}
