<?php

namespace Database\Factories;

use App\Models\Contact;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\Factories\Factory;

class ContactFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Contact::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'name' => $this->faker->name(),
            'occupation' => $this->faker->text(255),
            'contactable_type' => $this->faker->randomElement([
                \App\Models\Account::class,
            ]),
            'contactable_id' => function (array $item) {
                return app($item['contactable_type'])->factory();
            },
        ];
    }
}
