<?php

namespace Database\Factories;

use App\Models\Delivery;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\Factories\Factory;

class DeliveryFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Delivery::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'price' => $this->faker->randomFloat(2, 0, 9999),
            'date_ent' => $this->faker->dateTime(),
            'date_sort' => $this->faker->dateTime(),
            'conf_ent' => $this->faker->text(255),
            'conf_sort' => $this->faker->text(255),
            'description' => $this->faker->sentence(15),
            'sale_id' => \App\Models\Sale::factory(),
            'from' => \App\Models\Place::factory(),
            'to' => \App\Models\Place::factory(),
            'user_ent' => \App\Models\User::factory(),
            'user_sort' => \App\Models\User::factory(),
        ];
    }
}
