<?php

namespace Database\Factories;

use App\Models\Order;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\Factories\Factory;

class OrderFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Order::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'code_order' => $this->faker->text(255),
            'dt_order' => $this->faker->dateTime(),
            'tot' => $this->faker->randomNumber(1),
            'rem_order' => $this->faker->randomNumber(1),
            'nb_colis' => $this->faker->randomNumber(0),
            'phase' => $this->faker->randomNumber(0),
            'status_order' => $this->faker->text(255),
            'preparation_par' => $this->faker->text(255),
            'enroute_par' => $this->faker->text(255),
            'conf_par' => $this->faker->text(255),
            'dt_conf' => $this->faker->dateTime(),
            'account_id' => \App\Models\Account::factory(),
            'user_order' => \App\Models\User::factory(),
            'conf_user' => \App\Models\User::factory(),
            'id_tour' => \App\Models\Tour::factory(),
            'alger_id' => \App\Models\Sale::factory(),
        ];
    }
}
