<?php

namespace Database\Factories;

use App\Models\Phone;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\Factories\Factory;

class PhoneFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Phone::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'number' => $this->faker->text(255),
            'type' => $this->faker->word(),
            'phoneable_type' => $this->faker->randomElement([
                \App\Models\Contact::class,
                \App\Models\Account::class,
            ]),
            'phoneable_id' => function (array $item) {
                return app($item['phoneable_type'])->factory();
            },
        ];
    }
}
