<?php

namespace Database\Factories;

use App\Models\Product;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\Factories\Factory;

class ProductFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Product::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'nm_product' => $this->faker->name(),
            'code_product' => $this->faker->text(255),
            'n°' => $this->faker->text(255),
            'barecode' => $this->faker->text(255),
            'qtu_product' => $this->faker->randomNumber(0),
            'qc' => $this->faker->randomNumber(0),
            'qu' => $this->faker->randomNumber(0),
            'fr_nm_product' => $this->faker->text(255),
            'price_product' => $this->faker->randomFloat(2, 0, 9999),
            'serie_id' => \App\Models\Serie::factory(),
        ];
    }
}
