<?php

namespace Database\Factories;

use App\Models\Purchase;
use Illuminate\Support\Str;
use Illuminate\Database\Eloquent\Factories\Factory;

class PurchaseFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Purchase::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'ref' => $this->faker->text(255),
            'code' => $this->faker->text(255),
            'date' => $this->faker->dateTime(),
            'remise' => $this->faker->randomNumber(1),
            'description' => $this->faker->sentence(15),
            'done' => $this->faker->boolean(),
            'account_id' => \App\Models\Account::factory(),
            'user_id' => \App\Models\User::factory(),
        ];
    }
}
