<?php

namespace Database\Factories;

use Illuminate\Support\Str;
use App\Models\Purchaseitem;
use Illuminate\Database\Eloquent\Factories\Factory;

class PurchaseitemFactory extends Factory
{
    /**
     * The name of the factory's corresponding model.
     *
     * @var string
     */
    protected $model = Purchaseitem::class;

    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'qty' => $this->faker->randomNumber(1),
            'price' => $this->faker->randomFloat(2, 0, 9999),
            'description' => $this->faker->sentence(15),
            'purchase_id' => \App\Models\Purchase::factory(),
            'product_id' => \App\Models\Product::factory(),
        ];
    }
}
