<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAccountsTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('accounts', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('NOM');
            $table->string('cod');
            $table->unsignedBigInteger('user_id')->nullable();
            $table->date('DATENT')->nullable();
            $table->string('ADR')->nullable();
            $table
                ->decimal('remise', 20, 2)
                ->default(0)
                ->nullable();
            $table
                ->decimal('max_c', 20, 2)
                ->default(0)
                ->nullable();
            $table
                ->decimal('sold', 20, 2)
                ->default(0)
                ->nullable();
            $table->string('reg')->nullable();
            $table->string('fis')->nullable();
            $table->string('art')->nullable();
            $table->string('NIS')->nullable();
            $table->string('wilaya')->nullable();
            $table->string('email')->nullable();
            $table->string('fix')->nullable();
            $table->string('fax')->nullable();
            $table->string('AGENT1')->nullable();
            $table->string('PHONE1')->nullable();
            $table->string('AGENT2')->nullable();
            $table->string('AGENT3')->nullable();
            $table->string('AGENT4')->nullable();
            $table->string('AGENT5')->nullable();
            $table->string('PHONE2')->nullable();
            $table->string('PHONE3')->nullable();
            $table->string('PHONE4')->nullable();
            $table->string('PHONE5')->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('accounts');
    }
}
