<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAchatsTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('achats', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('account_id');
            $table->string('code_achat');
            $table->string('code_imp')->nullable();
            $table->dateTime('dt_achat');
            $table->decimal('tot', 20, 2)->nullable();
            $table
                ->decimal('rem_achat', 20, 2)
                ->default(0)
                ->nullable();
            $table->integer('nb_colis')->nullable();
            $table->integer('phases')->nullable();
            $table->string('status_achat')->nullable();
            $table->unsignedBigInteger('user_achat')->nullable();
            $table->string('preparation_par')->nullable();
            $table->string('enroute_par')->nullable();
            $table->unsignedBigInteger('conf_user')->nullable();
            $table->string('conf_par')->nullable();
            $table->dateTime('dt_conf')->nullable();
            $table->unsignedBigInteger('id_tour')->nullable();
            $table->unsignedBigInteger('alger_id')->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('achats');
    }
}
