<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDeliveriesTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('deliveries', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('sale_id');
            $table->decimal('price', 20, 2)->nullable();
            $table->unsignedBigInteger('from');
            $table->unsignedBigInteger('to');
            $table->dateTime('date_ent')->nullable();
            $table->dateTime('date_sort')->nullable();
            $table->string('conf_ent')->nullable();
            $table->string('conf_sort')->nullable();
            $table->unsignedBigInteger('user_ent')->nullable();
            $table->unsignedBigInteger('user_sort')->nullable();
            $table->text('description')->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('deliveries');
    }
}
