<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateProductsTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->string('nm_product');
            $table->string('code_product');
            $table->unsignedBigInteger('serie_id');
            $table->string('n°');
            $table->string('barecode')->nullable();
            $table->integer('qtu_product')->nullable();
            $table->integer('qc')->nullable();
            $table->integer('qu')->nullable();
            $table->string('fr_nm_product');
            $table->decimal('price_product', 20, 2);
            $table->string('img_product')->nullable();

            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
}
