<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddForeignsToDeliveriesTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('deliveries', function (Blueprint $table) {
            $table
                ->foreign('sale_id')
                ->references('id')
                ->on('sales')
                ->onUpdate('CASCADE')
                ->onDelete('CASCADE');

            $table
                ->foreign('from')
                ->references('id')
                ->on('places')
                ->onUpdate('CASCADE')
                ->onDelete('CASCADE');

            $table
                ->foreign('to')
                ->references('id')
                ->on('places')
                ->onUpdate('CASCADE')
                ->onDelete('CASCADE');

            $table
                ->foreign('user_ent')
                ->references('id')
                ->on('users')
                ->onUpdate('CASCADE')
                ->onDelete('CASCADE');

            $table
                ->foreign('user_sort')
                ->references('id')
                ->on('users')
                ->onUpdate('CASCADE')
                ->onDelete('CASCADE');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('deliveries', function (Blueprint $table) {
            $table->dropForeign(['sale_id']);
            $table->dropForeign(['from']);
            $table->dropForeign(['to']);
            $table->dropForeign(['user_ent']);
            $table->dropForeign(['user_sort']);
        });
    }
}
