<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class AddForeignsToTragetsTable extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('tragets', function (Blueprint $table) {
            $table
                ->foreign('from')
                ->references('id')
                ->on('places')
                ->onUpdate('CASCADE')
                ->onDelete('CASCADE');

            $table
                ->foreign('to')
                ->references('id')
                ->on('places')
                ->onUpdate('CASCADE')
                ->onDelete('CASCADE');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('tragets', function (Blueprint $table) {
            $table->dropForeign(['from']);
            $table->dropForeign(['to']);
        });
    }
}
