<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use Spatie\Permission\Models\Role;
use Spatie\Permission\Models\Permission;
use Spatie\Permission\PermissionRegistrar;

class PermissionsSeeder extends Seeder
{
    public function run(): void
    {
        // Reset cached roles and permissions
        app()[PermissionRegistrar::class]->forgetCachedPermissions();

        // Create default permissions
        Permission::create(['name' => 'list accounts']);
        Permission::create(['name' => 'view accounts']);
        Permission::create(['name' => 'create accounts']);
        Permission::create(['name' => 'update accounts']);
        Permission::create(['name' => 'delete accounts']);

        Permission::create(['name' => 'list achats']);
        Permission::create(['name' => 'view achats']);
        Permission::create(['name' => 'create achats']);
        Permission::create(['name' => 'update achats']);
        Permission::create(['name' => 'delete achats']);

        Permission::create(['name' => 'list addresses']);
        Permission::create(['name' => 'view addresses']);
        Permission::create(['name' => 'create addresses']);
        Permission::create(['name' => 'update addresses']);
        Permission::create(['name' => 'delete addresses']);

        Permission::create(['name' => 'list buys']);
        Permission::create(['name' => 'view buys']);
        Permission::create(['name' => 'create buys']);
        Permission::create(['name' => 'update buys']);
        Permission::create(['name' => 'delete buys']);

        Permission::create(['name' => 'list caisses']);
        Permission::create(['name' => 'view caisses']);
        Permission::create(['name' => 'create caisses']);
        Permission::create(['name' => 'update caisses']);
        Permission::create(['name' => 'delete caisses']);

        Permission::create(['name' => 'list cashes']);
        Permission::create(['name' => 'view cashes']);
        Permission::create(['name' => 'create cashes']);
        Permission::create(['name' => 'update cashes']);
        Permission::create(['name' => 'delete cashes']);

        Permission::create(['name' => 'list contacts']);
        Permission::create(['name' => 'view contacts']);
        Permission::create(['name' => 'create contacts']);
        Permission::create(['name' => 'update contacts']);
        Permission::create(['name' => 'delete contacts']);

        Permission::create(['name' => 'list deliveries']);
        Permission::create(['name' => 'view deliveries']);
        Permission::create(['name' => 'create deliveries']);
        Permission::create(['name' => 'update deliveries']);
        Permission::create(['name' => 'delete deliveries']);

        Permission::create(['name' => 'list orders']);
        Permission::create(['name' => 'view orders']);
        Permission::create(['name' => 'create orders']);
        Permission::create(['name' => 'update orders']);
        Permission::create(['name' => 'delete orders']);

        Permission::create(['name' => 'list phones']);
        Permission::create(['name' => 'view phones']);
        Permission::create(['name' => 'create phones']);
        Permission::create(['name' => 'update phones']);
        Permission::create(['name' => 'delete phones']);

        Permission::create(['name' => 'list places']);
        Permission::create(['name' => 'view places']);
        Permission::create(['name' => 'create places']);
        Permission::create(['name' => 'update places']);
        Permission::create(['name' => 'delete places']);

        Permission::create(['name' => 'list products']);
        Permission::create(['name' => 'view products']);
        Permission::create(['name' => 'create products']);
        Permission::create(['name' => 'update products']);
        Permission::create(['name' => 'delete products']);

        Permission::create(['name' => 'list purchases']);
        Permission::create(['name' => 'view purchases']);
        Permission::create(['name' => 'create purchases']);
        Permission::create(['name' => 'update purchases']);
        Permission::create(['name' => 'delete purchases']);

        Permission::create(['name' => 'list purchaseitems']);
        Permission::create(['name' => 'view purchaseitems']);
        Permission::create(['name' => 'create purchaseitems']);
        Permission::create(['name' => 'update purchaseitems']);
        Permission::create(['name' => 'delete purchaseitems']);

        Permission::create(['name' => 'list sales']);
        Permission::create(['name' => 'view sales']);
        Permission::create(['name' => 'create sales']);
        Permission::create(['name' => 'update sales']);
        Permission::create(['name' => 'delete sales']);

        Permission::create(['name' => 'list saleitems']);
        Permission::create(['name' => 'view saleitems']);
        Permission::create(['name' => 'create saleitems']);
        Permission::create(['name' => 'update saleitems']);
        Permission::create(['name' => 'delete saleitems']);

        Permission::create(['name' => 'list sells']);
        Permission::create(['name' => 'view sells']);
        Permission::create(['name' => 'create sells']);
        Permission::create(['name' => 'update sells']);
        Permission::create(['name' => 'delete sells']);

        Permission::create(['name' => 'list series']);
        Permission::create(['name' => 'view series']);
        Permission::create(['name' => 'create series']);
        Permission::create(['name' => 'update series']);
        Permission::create(['name' => 'delete series']);

        Permission::create(['name' => 'list tours']);
        Permission::create(['name' => 'view tours']);
        Permission::create(['name' => 'create tours']);
        Permission::create(['name' => 'update tours']);
        Permission::create(['name' => 'delete tours']);

        Permission::create(['name' => 'list tragets']);
        Permission::create(['name' => 'view tragets']);
        Permission::create(['name' => 'create tragets']);
        Permission::create(['name' => 'update tragets']);
        Permission::create(['name' => 'delete tragets']);

        // Create user role and assign existing permissions
        $currentPermissions = Permission::all();
        $userRole = Role::create(['name' => 'user']);
        $userRole->givePermissionTo($currentPermissions);

        // Create admin exclusive permissions
        Permission::create(['name' => 'list roles']);
        Permission::create(['name' => 'view roles']);
        Permission::create(['name' => 'create roles']);
        Permission::create(['name' => 'update roles']);
        Permission::create(['name' => 'delete roles']);

        Permission::create(['name' => 'list permissions']);
        Permission::create(['name' => 'view permissions']);
        Permission::create(['name' => 'create permissions']);
        Permission::create(['name' => 'update permissions']);
        Permission::create(['name' => 'delete permissions']);

        Permission::create(['name' => 'list users']);
        Permission::create(['name' => 'view users']);
        Permission::create(['name' => 'create users']);
        Permission::create(['name' => 'update users']);
        Permission::create(['name' => 'delete users']);

        // Create admin role and assign all permissions
        $allPermissions = Permission::all();
        $adminRole = Role::create(['name' => 'super-admin']);
        $adminRole->givePermissionTo($allPermissions);

        $user = \App\Models\User::whereEmail('admin@admin.com')->first();

        if ($user) {
            $user->assignRole($adminRole);
        }
    }
}
